import { KvsQueryOperation, KvsQueryCondition, KvsLogicalOperator } from 'quidproquo-core';
import { AttributeValue } from '@aws-sdk/client-dynamodb';
export declare const isKvsQueryCondition: (query: KvsQueryOperation) => query is KvsQueryCondition;
export declare const isKvsLogicalOperator: (query: KvsQueryOperation) => query is KvsLogicalOperator;
export declare const buildDynamoQueryExpression: (query?: KvsQueryOperation) => string | undefined;
export declare const buildExpressionAttributeValues: (queries: (KvsQueryOperation | undefined)[]) => Record<string, AttributeValue>;
export declare const buildExpressionAttributeNames: (queries: (KvsQueryOperation | undefined)[]) => Record<string, string>;
